Bug 495336 - Review Request: perl-Sort-Key - Fastest way to sort anything in Perl
Review Request: perl-Sort-Key - Fastest way to sort anything in Perl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 02:23 EDT by Iain Arnell
Modified: 2016-08-14 12:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.28-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 01:53:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-12 02:23:35 EDT
Spec URL: http://iarnell.fedorapeople.org/rpms/perl-Sort-Key.spec
SRPM URL: http://iarnell.fedorapeople.org/rpms/perl-Sort-Key-1.28-1.fc11.src.rpm
Description: 
Sort::Key provides a set of functions to sort lists of values by some
calculated key value.

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1291779
Comment 1 Chris Weyl 2009-04-12 13:39:48 EDT
I'd put the .so filtering bits before %description as (IMHO) it makes things
look a touch cleaner, but having it where it is isn't a real issue.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1291779

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
7b50c2a384a817c400d43835638ae5b99b4b217b Sort-Key-1.28.tar.gz
7b50c2a384a817c400d43835638ae5b99b4b217b Sort-Key-1.28.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Sort-Key-1.28-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Sort-Key-1.28-1.fc10.src.rpm
====> requires for perl-Sort-Key-1.28-1.fc10.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::More) >= 0.54

=====> perl-Sort-Key-1.28-1.fc10.x86_64.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Sort-Key-1.28-1.fc10.x86_64.rpm
perl(Sort::Key) = 1.28
perl(Sort::Key::Maker) = 0.02
perl(Sort::Key::Multi) = 1.25
perl(Sort::Key::Natural) = 0.03
perl(Sort::Key::Register) = 0.14
perl-Sort-Key = 1.28-1.fc10
perl-Sort-Key(x86-64) = 1.28-1.fc10
====> requires for perl-Sort-Key-1.28-1.fc10.x86_64.rpm
perl(:MODULE_COMPAT_5.10.0)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
perl >= 0:5.006
perl(Carp)  
perl(constant)  
perl(Exporter)  
perl(Sort::Key)  
perl(Sort::Key::Maker)  
perl(Sort::Key::Register)  
perl(strict)  
perl(warnings)  
rtld(GNU_HASH)  

=====> perl-Sort-Key-debuginfo-1.28-1.fc10.x86_64.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Sort-Key-debuginfo-1.28-1.fc10.x86_64.rpm
perl-Sort-Key-debuginfo = 1.28-1.fc10
perl-Sort-Key-debuginfo(x86-64) = 1.28-1.fc10
====> requires for perl-Sort-Key-debuginfo-1.28-1.fc10.x86_64.rpm

APPROVED
Comment 2 Iain Arnell 2009-04-12 14:14:33 EDT
New Package CVS Request
=======================
Package Name: perl-Sort-Key
Short Description: Fastest way to sort anything in Perl
Owners: iarnell
Branches: F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-12 14:35:22 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-13 01:51:18 EDT
perl-Sort-Key-1.28-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Sort-Key-1.28-1.fc10
Comment 5 Fedora Update System 2009-04-21 20:57:22 EDT
perl-Sort-Key-1.28-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.